#!/usr/bin/env python

from distutils.core import setup

#  get the revision from the netstring package
import string
dict = {}
execfile('netstring.py', {}, dict)
version = string.split(dict['revision'])[1]

setup(
		name = 'python-netstring',
		version = version,
		py_modules = [ 'netstring' ],
		url = 'ftp://www.slhan.org/pub/source/',
		author = 'Thomas Mangin',
		author_email = '<thomas.mangin@free.fr>',
		description = 'netstring class.  '\
				'information at http://cr.yp.to/proto/netstrings.txt',
		long_description = \
'''Class to manipulate D. J. Bernstein's netstrings.

Netstrings (as described at http://cr.yp.to/proto/netstrings.txt)
are strings of the form "<length in bytes>:<string>,".  They allow the
programmer to allocate an appropriately sized buffer ahead of time, and also
to ensure that an entire string has been received (instead of relying on
parsing strings on CR-LF markers).

Some of this work is based/inspired on/by Sean Reifschneider netstring package,
however our approch are different. He provides function to manipule netstring,
this package create a netstring object which encapsulate it all
''',
)
